> For the complete documentation index, see [llms.txt](https://docs.mediarithmics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mediarithmics.io/api-reference/datamart-privacy/channel-x-processings.md).

# Channel X Processings

Operations related to Channel Processings that link legal processing basis to specific Channels.

## GET /audience\_segments/{segment\_id}/processing\_selections

> Find processing selections for an audience segment

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Channel x Processings","description":"Operations related to Channel Processings that link legal processing basis to specific Channels."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/audience_segments/{segment_id}/processing_selections":{"get":{"description":"","tags":["Channel x Processings"],"summary":"Find processing selections for an audience segment","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"first_result":{"type":"integer"},"max_results":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/ProcessingSelectionResource"}},"total":{"type":"integer"},"status":{"type":"string","enum":["ok"]},"count":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"findProcessingSelectionsForAudienceSegment","parameters":[{"required":true,"name":"segment_id","explode":false,"style":"simple","schema":{"type":"integer","format":"int64"},"in":"path"}]}}},"components":{"schemas":{"ProcessingSelectionResource":{"type":"object","properties":{"id":{"type":"string","readOnly":false},"processing_id":{"type":"string","readOnly":false},"processing_name":{"type":"string","readOnly":true}},"required":["id","processing_id","processing_name"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /audience\_segments/{segment\_id}/processing\_selections

> Create processing selection for an audience segment

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Channel x Processings","description":"Operations related to Channel Processings that link legal processing basis to specific Channels."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/audience_segments/{segment_id}/processing_selections":{"post":{"description":"","operationId":"createProcessingSelectionForAudienceSegment","summary":"Create processing selection for an audience segment","requestBody":{"description":"The processing selection to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProcessingSelectionResource"}}},"required":true},"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/ProcessingSelectionResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["Channel x Processings"],"parameters":[{"name":"segment_id","schema":{"type":"integer","format":"int64"},"in":"path","required":true,"style":"simple","explode":false}]}}},"components":{"schemas":{"ProcessingSelectionResource":{"type":"object","properties":{"id":{"type":"string","readOnly":false},"processing_id":{"type":"string","readOnly":false},"processing_name":{"type":"string","readOnly":true}},"required":["id","processing_id","processing_name"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /channels/{channel\_id}/processing\_selections

> Find processing selections for channel

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Channel x Processings","description":"Operations related to Channel Processings that link legal processing basis to specific Channels."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/channels/{channel_id}/processing_selections":{"get":{"summary":"Find processing selections for channel","operationId":"findProcessingSelectionsByChannel","description":"","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"total":{"type":"integer"},"max_results":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/ProcessingSelectionResource"}},"first_result":{"type":"integer"},"status":{"type":"string","enum":["ok"]},"count":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"parameters":[{"name":"channel_id","explode":false,"required":true,"schema":{"type":"integer","format":"int64"},"style":"simple","in":"path"}],"tags":["Channel x Processings"]}}},"components":{"schemas":{"ProcessingSelectionResource":{"type":"object","properties":{"id":{"type":"string","readOnly":false},"processing_id":{"type":"string","readOnly":false},"processing_name":{"type":"string","readOnly":true}},"required":["id","processing_id","processing_name"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /channels/{channel\_id}/processing\_selections

> Create processing selection for channel

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Channel x Processings","description":"Operations related to Channel Processings that link legal processing basis to specific Channels."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/channels/{channel_id}/processing_selections":{"post":{"tags":["Channel x Processings"],"parameters":[{"explode":false,"in":"path","required":true,"schema":{"type":"integer","format":"int64"},"style":"simple","name":"channel_id"}],"description":"","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/ProcessingSelectionResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"summary":"Create processing selection for channel","requestBody":{"description":"The processing selection to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProcessingSelectionResource"}}},"required":true},"operationId":"createProcessingSelectionByChannel"}}},"components":{"schemas":{"ProcessingSelectionResource":{"type":"object","properties":{"id":{"type":"string","readOnly":false},"processing_id":{"type":"string","readOnly":false},"processing_name":{"type":"string","readOnly":true}},"required":["id","processing_id","processing_name"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /audience\_segments/{segment\_id}/processing\_selections/{id}

> Get processing selection for audience segment and processing selection ids

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Channel x Processings","description":"Operations related to Channel Processings that link legal processing basis to specific Channels."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/audience_segments/{segment_id}/processing_selections/{id}":{"get":{"operationId":"getAudienceSegmentProcessingSelection","tags":["Channel x Processings"],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/ProcessingSelectionResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"parameters":[{"explode":false,"name":"segment_id","schema":{"type":"integer","format":"int64"},"in":"path","style":"simple","required":true},{"in":"path","style":"simple","required":true,"name":"id","schema":{"type":"integer","format":"int64"},"explode":false}],"summary":"Get processing selection for audience segment and processing selection ids","description":""}}},"components":{"schemas":{"ProcessingSelectionResource":{"type":"object","properties":{"id":{"type":"string","readOnly":false},"processing_id":{"type":"string","readOnly":false},"processing_name":{"type":"string","readOnly":true}},"required":["id","processing_id","processing_name"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## DELETE /audience\_segments/{segment\_id}/processing\_selections/{id}

> Delete processing selection for audience segment and processing selection ids

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Channel x Processings","description":"Operations related to Channel Processings that link legal processing basis to specific Channels."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/audience_segments/{segment_id}/processing_selections/{id}":{"delete":{"description":"","operationId":"deleteAudienceSegmentProcessingSelection","responses":{"200":{"$ref":"#/components/responses/simple"},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"parameters":[{"required":true,"style":"simple","in":"path","explode":false,"schema":{"type":"integer","format":"int64"},"name":"segment_id"},{"schema":{"type":"integer","format":"int64"},"explode":false,"style":"simple","required":true,"in":"path","name":"id"}],"summary":"Delete processing selection for audience segment and processing selection ids","tags":["Channel x Processings"]}}},"components":{"responses":{"simple":{"description":"Success response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]}},"required":["status"]}}}},"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}},"schemas":{"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}}}}
```

## GET /channels/{channel\_id}/processing\_selections/{id}

> Get processing selection by channel and processing selection id

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Channel x Processings","description":"Operations related to Channel Processings that link legal processing basis to specific Channels."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/channels/{channel_id}/processing_selections/{id}":{"get":{"operationId":"getProcessingSelectionByChannel","description":"","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/ProcessingSelectionResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"summary":"Get processing selection by channel and processing selection id","parameters":[{"explode":false,"required":true,"in":"path","name":"channel_id","style":"simple","schema":{"type":"integer","format":"int64"}},{"in":"path","style":"simple","schema":{"type":"integer","format":"int64"},"required":true,"name":"id","explode":false}],"tags":["Channel x Processings"]}}},"components":{"schemas":{"ProcessingSelectionResource":{"type":"object","properties":{"id":{"type":"string","readOnly":false},"processing_id":{"type":"string","readOnly":false},"processing_name":{"type":"string","readOnly":true}},"required":["id","processing_id","processing_name"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## DELETE /channels/{channel\_id}/processing\_selections/{id}

> Delete processing selection by channel and processing selection id

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Channel x Processings","description":"Operations related to Channel Processings that link legal processing basis to specific Channels."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/channels/{channel_id}/processing_selections/{id}":{"delete":{"operationId":"deleteProcessingSelectionByChannel","responses":{"200":{"$ref":"#/components/responses/simple"},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"summary":"Delete processing selection by channel and processing selection id","description":"","parameters":[{"style":"simple","name":"channel_id","schema":{"type":"integer","format":"int64"},"explode":false,"in":"path","required":true},{"in":"path","style":"simple","explode":false,"required":true,"schema":{"type":"integer","format":"int64"},"name":"id"}],"tags":["Channel x Processings"]}}},"components":{"responses":{"simple":{"description":"Success response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]}},"required":["status"]}}}},"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}},"schemas":{"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mediarithmics.io/api-reference/datamart-privacy/channel-x-processings.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
